function draw_subjects2(pos,npos)

global prey num SC AC ID

s  = 0.8;
ax = [-s/2 0 s/2];
ay = [-s/2 s/2 -s/2];
cgpenwid(0.1)

% check overlap
cpos = zeros(num.sub,2);
for i=1:num.sub % Number of players
    cgfreesprite(i+1) % Release sprite
    cgmakesprite(i+1,1,1,1,1,1) % Create sprite for player

    if npos(:,1,i)==0 && npos(:,1,i)==0
        cpos(i,:) = pos(:,:,i);
    else
        cpos(i,:) = npos(:,:,i);
    end
end

if ~isequal(cpos(1,:), cpos(2,:)) % Not in the same position
    flagW = s; flagH = s; flagXpl = 0; flagYpl = 0;  flagXag = 0; flagYag = 0; % Flags widths, heights and positions for player and agent
    rectW = 1.2*s; rectH = 1.2*s; rectXpl = 0; rectYpl = 0; rectXag = 0; rectYag = 0; % Rectangles widths, heights and positions for player and agent
    plSpr = 2; agSpr = 3; % Player's and agent's sprites (different)
else
    flagW = s/2; flagH = s; flagXpl = -0.25; flagYpl = 0;  flagXag = 0.25; flagYag = 0; % Flags widths, heights and positions for player and agent
    rectW = 0.6*s; rectH = 1.2*s;  rectXpl = -0.25; rectYpl = 0; rectXag = 0.25; rectYag = 0; % Rectangles widths, heights and positions for player and agent
    plSpr = 2; agSpr = 2; % Player's and agent's sprites (same)
end

for n = 1:num.sub
    if num.sub > 1 && cpos(1,1)==cpos(2,1) && cpos(1,2)==cpos(2,2) % Select which sprite to write to
        cgsetsprite(2)
    else
        cgsetsprite(n+1)
    end
    
    % check overlap with preys
    for m=1:num.prey
        i = num.sub+m;
        if pos(1,1,n)==npos(1,1,i) && pos(1,2,n)==npos(1,2,i)
            p = prey.point(1,i-num.sub)/max(prey.point)*0.8;
            cgrect(0,0,p,p,prey.color);
        end
    end
    
    if n <= num.sub-num.com % Player's marker
%             cgpencol(SC(1,1),SC(1,2),SC(1,3)) % SC defined in set_parameters (colour for player)
            cgpencol(0,0,0) % SC defined in set_parameters (colour for player)
            cgrect(rectXpl, rectYpl, rectW, rectH) % x,y,width, height

            switch ID(1)
                case(1)
                    loadpict('scotland.bmp', plSpr, flagXpl, flagYpl, flagW, flagH); % name, buffer, x-y position (in angles), width-height size
                case(2)
                    loadpict('england.bmp', plSpr, flagXpl, flagYpl, flagW, flagH); % name, buffer, x-y position (in angles), width-height size
                case(3)
                    loadpict('gb.bmp', plSpr, flagXpl, flagYpl, flagW, flagH); % name, buffer, x-y position (in angles), width-height size
                case(4)
                    loadpict('eu.bmp', plSpr, flagXpl, flagYpl, flagW, flagH); % name, buffer, x-y position (in angles), width-height size
            end
    else % Agent's marker
        cgpencol(AC(1,1),AC(1,2),AC(1,3)) % SC defined in set_parameters (colour for player)
%         cgrect(rectXag, rectYag, rectW, rectH) % x,y,width, height
        switch ID(2)
            case(1)
                loadpict('scotland.bmp', agSpr, flagXag, flagYag, flagW, flagH); % name, buffer, x-y position (in angles), width-height size
            case(2)
                loadpict('england.bmp', agSpr, flagXag, flagYag, flagW, flagH); % name, buffer, x-y position (in angles), width-height size
            case(3)
                loadpict('gb.bmp', agSpr, flagXag, flagYag, flagW, flagH); % name, buffer, x-y position (in angles), width-height size
            case(4)
                loadpict('eu.bmp', agSpr, flagXag, flagYag, flagW, flagH); % name, buffer, x-y position (in angles), width-height size
        end

    end
end
