%%% code of stag-hunt game for ASC imaging experiment
%%% WY Mar 2011

% Modifications (Aga): Changed agency's strategy to be the same size with the
% number of sessions. Strategy is random from 1 to 5.
% Random uniform selection of opponent's ID
% 

function hunting_task_no_id_control(SES,keys)

global NAME num YES NO agent_k 

K = agent_k(SES,1);

data = make_data_scan;
draw_preys;
draw_maze2_no_id;

tt = 0;

for block = 1:num.block

    finish = NO;
    tt = tt+1;
    
    data.o(tt,1) = time;
    draw_instruction_control(SES);
    data.p(tt,:,:) = set_init_pos;
    T = num.trial-5+randi(10,1);
    
    for t=2:T       
        pos  = data.p(tt,:,:);
        npos = data.p(tt+1,:,:);
        act  = zeros(1,num.agent);
        active = zeros(1,num.sub);
        draw_subjects(active,pos,pos);
%         draw_subjects2(pos,npos);
        draw_payoff2(t-1,data.r(tt,:));
%         display_maze(pos,npos);
        display_maze2(active,pos,npos);
%         data.o(tt,2) = time;
        tic % Agamemnon
        
        if finish == YES,
            data.k(tt,:)     = K;
            for j = 1:1:num.sub
                data.i(tt,j) = 0; % Save the ID for each subject
            end
            data.cl(tt,:) = clock;
            data.at(tt) = time;
            break;
        end;
        
        rt_stag = 500 + 500*rand;
        wait( rt_stag ) ;
        
        % set stag move and position
        for n = 1:num.prey
            m = n + num.sub;
            if n == 1;
                [d,nd] = make_dist_action(pos,m);
                act(:,m) = set_escape_action(d,nd,pos(:,:,m));
                npos(:,:,m) = set_next_pos(pos(:,:,m),act(:,m));
            else
                npos(:,:,m) = pos(:,:,m);
            end
        end
%         display_maze(pos,npos);
        display_maze2(active,pos,npos);
%         data.t(tt,1) = time;
        data.t(tt,1) = toc; % Agamemnon
        wait(500);
        tic;    % Agamemnon
        
        % get subject or computer's action and position
        clearkeys;
        readkeys;
        for n = 1:num.sub
            active = zeros(1,num.sub); active(n) = 1;
        draw_subjects(active,pos,npos);
%         draw_subjects2(pos,npos);
%         display_maze(pos,npos);
        display_maze2(active,pos,npos);
            if n <= num.sub-num.com
                % for subjects
                t0 = time;
                [npos(:,:,n), act(:,n), t1] = get_sub_action(pos,npos,t0,n,keys);
%                 data.t(tt,2) = time;
                data.t(tt,2) = toc; % Agamemnon
                tic
            else
                % for computers
                [npos(:,:,n), act(:,n), t1] = set_computer_action(pos,npos,n,K);
                wait( t1 )
%                 data.t(tt,3) = time;
                data.t(tt,3) = toc;
            end
            active = zeros(1,num.sub); % 1-of-N <-- number of players
        draw_subjects(active,pos,npos);
%         draw_subjects2(pos,npos);
%         display_maze(pos,npos);
        display_maze2(active,pos,npos);
        end;
        
        % set payoff
        data.r(tt+1,:) = set_payoff(npos);
        if sum(data.r(tt+1,:))>0
            finish = YES;
        end;
        
        % record data
        data.p(tt+1,:,:) = npos;
        data.a(tt,:)     = act;
        data.k(tt,:)     = K;
        for j = 1:1:num.sub
            data.i(tt,j) = 0; % Save the ID for each subject
        end
        data.cl(tt,:) = clock;
        data.at(tt) = time;

        tt = tt+1;
        
    end; % for trial
    wait( 1000 );
    cgflip(0);
    draw_result(data.r(tt,:),t-1);
    tt = tt+1;
    
%     eval(['save ' [ NAME '_' num2str(SES) ] ' data ' ]);
end; % for block
cd('./Data/NoIDControl')
% if ~exist(NAME, 'dir')
    mkdir(NAME)
% end
cd(NAME)
eval(['save ' [ NAME '_' num2str(SES) ] ' data ' ]);
cd ../../..
clear