clear all
close all
clc

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%                  HUNTING EXPERIMENT                    %%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global NAME YES NO num % Global variables:
                          % NAME: Subject's initials
                          % 
                          % num: numbers (players, trials, sessions etc)

% enter subject details
NAME = input('Subjects initials ? ','s');

YES  = 1;    NO  = 0;

config_display(0, 1, [0 0 0]./255, [255 255 255]./255, 'Helvetica', 20, 4, 0) % Small window
% config_display(2, 1, [0 0 0], [1 1 1], 'Helvetica', 20, 4, 0) % 2nd screen
config_keyboard
config_log

start_cogent
cgscale(20); % Angle co-ordinates (20 degrees on each axis)

key_test = NO; % Keyboard initialisation

% Keyboard calibration
while key_test == NO
    clearpict(1); preparestring('Response button test',1);
    drawpict(1); wait(2000);
    clearpict(1); preparestring('Please press UP',1); clearkeys;
    drawpict(1); [up,t,n] = waitkeydown(inf);
    clearpict(1); preparestring('Please press DOWN',1); clearkeys;
    drawpict(1); [down,t,n] = waitkeydown(inf);
    clearpict(1); preparestring('Please press LEFT',1); clearkeys;
    drawpict(1); [left,t,n] = waitkeydown(inf);
    clearpict(1); preparestring('Please press RIGHT',1); clearkeys;
    drawpict(1); [right,t,n] = waitkeydown(inf);
    
    clearpict(1);
    preparestring('If everything is okay, please press UP button',1);
    clearkeys; drawpict(1); [test_check,t,n] = waitkeydown(inf);
    
    if test_check == up
        key_test = YES;
    end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Games with no IDs (Practice) %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

set_parameters_no_id_practice;

for SES = 1:num.session
    clearpict(1); 
    hunting_task_no_id_practice(SES,[up left right down])
end

