% Reads the data from all sessions for one participant and creates one
% output file.
% Input

function y = merge_results(NAME)

% Init
block = [];
clock = [];
absolute_time = [];
id = [];
level = [];
reward = [];
position_x_player = [];
position_y_player = [];
position_x_agent = [];
position_y_agent = [];
position_x_hare = [];
position_y_hare = [];

action_player = [];
action_agent = [];
action_hare = [];

i = 1;
loadStr = strcat(NAME, '_', num2str(i), '.mat');
while exist(loadStr, 'file')
    dataRaw = load(loadStr);
    temp = find(dataRaw.data.cl(:,1)==0);
    ending = temp(1)-1;
    
    block = [block; i*ones(ending,1)];
    clock = [clock; dataRaw.data.cl(1:ending, :)];
    absolute_time = [absolute_time; dataRaw.data.at(1:ending, :)];
    id = [id; dataRaw.data.i(1:ending,:)];
    level = [level; dataRaw.data.k(1:ending,:)];
    reward = [reward; dataRaw.data.r(1:ending,:)];
    position_x_player = [position_x_player; dataRaw.data.p(1:ending,1,1)];
    position_y_player = [position_y_player; dataRaw.data.p(1:ending,2,1)];
    position_x_agent = [position_x_agent; dataRaw.data.p(1:ending,1,2)];
    position_y_agent = [position_y_agent; dataRaw.data.p(1:ending,2,2)];
    position_x_hare = [position_x_hare; dataRaw.data.p(1:ending,1,3)];
    position_y_hare = [position_y_hare; dataRaw.data.p(1:ending,2,3)];
    action_player = [action_player; dataRaw.data.a(1:ending,1)];
    action_agent = [action_agent; dataRaw.data.a(1:ending,2)];
    action_hare = [action_hare; dataRaw.data.a(1:ending,3)];
    
    
    i = i+1;
    loadStr = strcat(NAME, '_', num2str(i), '.mat'); % New Load String
end

% Write them into matrix

y = [block absolute_time clock id level reward position_x_player position_y_player...
    position_x_agent position_y_agent position_x_hare position_y_hare...
    action_player action_agent action_hare];

strWrite = strcat(NAME, '_data.csv');
csvwrite(strWrite, y);
end % EOF